<div *ngIf="stockInfo">
    <mat-card class="mat-elevation-z5">
        <mat-card-header>
            <mat-card-title>{{ stockInfo.ticker }}</mat-card-title>
            <mat-card-subtitle>{{ stockInfo.exchangeName }} - Currency in {{ stockInfo.currency }}
            </mat-card-subtitle>
        </mat-card-header>
        <mat-card-content>
            <div class="flex-row">
                <div class="market-data-price">
                    <span class="big-text">
                        {{ stockInfo.regularMarketPrice | currency }}
                    </span>
                    <span class="current-points-gain" [ngClass]="{'positive': stockInfo.regularMarketChange >= 0, 
                        'negative': stockInfo.regularMarketChange < 0}">
                        {{ stockInfo.regularMarketChangenumber | number : '1.2-2'}}
                    </span>
                    <span class="current-gains" [ngClass]="{'positive': stockInfo.regularMarketChange >= 0, 
                        'negative': stockInfo.regularMarketChange < 0}">
                        ({{ stockInfo.regularMarketChangePercent | percent: '1.2-2'}})
                    </span>
                </div>
                <div class="market-data-right">
                    <div>
                        <label class="key">High</label>
                        <span class="value">{{ stockInfo.regularMarketDayHigh | currency }}</span>
                    </div>
                    <div>
                        <label class="key">Low</label>
                        <span class="value">{{ stockInfo.regularMarketDayLow | currency }}</span>
                    </div>
                    <div>
                        <label class="key">Volume</label>
                        <span class="value">{{ stockInfo.regularMarketVolume | number }}</span>
                    </div>
                    <div>
                        <label class="key">Mkt Cap</label>
                        <span class="value">{{ stockInfo.marketCap | number }}</span>
                    </div>
                </div>
            </div>
        </mat-card-content>
    </mat-card>
</div>
